<ngx-spinner bdColor = "rgba(0, 0, 0, 0.8)" size = "default" color = "#fff" type = "square-jelly-box" [fullScreen] = "true"><p style="color: white" > Loading... </p></ngx-spinner>
<div class="w-100 h-100 d-flex justify-content-center align-items-center">
  <div class="main-container">
    <div *ngFor="let item of numbers">
      <div class="error-container" *ngIf="(Action.Add == item.action && addMissingData)||(Action.Multiply == item.action &&multiplyMissingData)">
        <span>MISSING DATA</span>
      </div>
      <div [ngClass]="(item.action == Action.Add)?'card-container__add':'card-container__multiply'" class="card-container"*ngIf="!((Action.Add == item.action && addMissingData)||(Action.Multiply == item.action &&multiplyMissingData))">
        <span>{{item.value}}</span>
        <span>{{item.action == Action.Add ? "+" : "*"}}</span>
        <span>{{item.action == Action.Add ? add.value : multiply.value}}</span>
        <span>=</span>
        <span>{{item.result}}</span>
      </div>
    </div>
  </div>
</div>